
/* PrimeNG */
@import "~primeicons/primeicons.css";
@import "~primeng/resources/primeng.min.css";

/* Custom SCSS */
@import "dropdown-panel";
@import "error-card";
@import "dialog";
@import "portrait";
@import "table";
@import "input-text";

/* Fonts */
@font-face {
  font-family: Lato;
  src: url(./assets/fonts/Lato.ttf) format('truetype');
}
@font-face {
  font-family: Quicksand;
  src: url(./assets/fonts/Quicksand/Quicksand-Regular.ttf) format('truetype');
}
$fontFamilyLato: Lato, Helvetica Neue Light,Helvetica Neue,Helvetica,Arial,Lucida Grande,sans-serif;
$fontFamilyQuicksand: Quicksand, Helvetica Neue Light,Helvetica Neue,Helvetica,Arial,Lucida Grande,sans-serif;

:root {
  --primary-color: #2251b1;
  --primary-color-hover:rgba(31, 81, 177, 0.9);
  --primary-bg-color: #F5F5F5;
  --primary-bg-color-light: #FFF;
  --secondary-bg-color: #f0f0f0;
  --tertiary-bg-color: #ececec;
  --primary-font-color: #606060;
  --secondary-font-color: #828282;
  --success-color: #28a745;
  --info-color: #17a2b8;
  --warn-color: #ffc107;
  --error-color: #dc3545;
  --disabled-text: #808080;
  --primary-nav-color: #2c343b;
  --secondary-nav-color: #232a2f;
  --text-nav-color: #c3c3c3;
  
  --login-bg-color: 255, 255, 255;
}

[data-dark-mode="dark"] {
  --primary-color: #4476db;
  --primary-color-hover:rgba(68, 118, 219, 0.9);
  --primary-bg-color: #2c2f33;
  --primary-bg-color-light: #202225;
  --secondary-bg-color: #3a4149;
  --tertiary-bg-color: #303337;
  --primary-font-color: #cfcfcf;
  --secondary-font-color: whitesmoke;

  --login-bg-color: 30, 30, 30;
}

/* Main styles */
html,
body {
  margin: 0;
  background-color: var(--primary-bg-color);
  color: var(--primary-font-color);
  font-family: $fontFamilyQuicksand;
  height: 100%;

  .p-component {
    font-family: $fontFamilyQuicksand;
  }

  .transparent {
    app-navbar,
    app-footer {
      background-color: transparent;
    }
    app-footer {
      position: fixed;
      bottom: 20px;
    }
    .app-container {
      padding-top: 0;

      .app-frame {
        height: 100vh;
      }
    }
  }
 
  .green {
    color: var(--green-500);
  }

  .red {
    color: var(--red-500);
  }

  .p-chip {
    border-radius: 8px;
    padding: 0.25rem 0.75rem;
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
  .p-chip.green {
    background: var(--green-500);
    color: var(--primary-color-text);
  }
  .p-chip.blue {
    background: var(--blue-500);
    color: var(--primary-color-text);
  }
  .p-chip.red {
    background: var(--red-500);
    color: var(--primary-color-text);
  }
  .p-chip.orange {
    background: var(--orange-500);
    color: var(--primary-color-text);
  }
  .p-chip.yellow {
    background: var(--yellow-500);
    color: var(--primary-color-text);
  }
  .p-chip.burgundy{
    background: var(--pink-600);
    color: var(--primary-color-text);
  }
  .p-chip.indigo{
    background: var(--indigo-400);
    color: var(--primary-color-text);
  }
  .p-chip.cyan{
    background: var(--cyan-600);
    color: var(--primary-color-text);
  }
  .p-chip.purple{
    background: var(--purple-500);
    color: var(--primary-color-text);
  }


  .pi.green {
    color: var(--green-500);
  }
  .pi.blue {
    color: var(--blue-500);
  }
  .pi.red {
    color: var(--red-500);
  }
  .pi.orange {
    color: var(--orange-500);
  }
  .pi.yellow {
    color: var(--yellow-500);
  }
  .pi.burgundy{
    color: var(--pink-600);
  }
  .pi.indigo{
    color: var(--indigo-400);
  }
  .pi.cyan{
    color: var(--cyan-600);
  }
  .pi.purple{
    color: var(--purple-500);
  }


  .mr-2 {
    margin-right: 0.75rem;
  }
}

app-navbar {
  display: block;
  height: 60px;
  position: fixed;
  width: 100%;
  z-index: 3;
  background-color: var(--primary-bg-color);
}

.app-container {
  padding-top: 59px;

  &.sidenav-expanded {
    &.sidenav-pinned {
      .app-frame,
      .app-header,
      .app-content {
        margin-left: 260px;
      }
    }
  }

  .app-content{
    padding-top: 60px;
  }

  .app-frame {
    background-color: var(--primary-bg-color);
    min-height: calc(100vh - 115px);
    margin-left: 60px;
    margin-top: 50px;

    &.fixed-height {
      height: calc(100vh - 115px);
    }

    h2 {
      text-align: center;
    }


      app-list .header .header-item {
        margin: 0 10px;
        display: flex;
        align-items: center;
        justify-content: center;

        .small-display-icon {
          display: none;
        }

        &.field-item {
          width: 20%;
          min-width: 130px;

          mat-form-field {
            width: 100%;
          }
        }
      }

      .p-breadcrumb {
        background-color: var(--primary-bg-color);
        border: 0;
        margin: 10px;
        height: 50px;

        ul li {
          &.p-breadcrumb-chevron {
            color: var(--primary-font-color);
          }
          .p-menuitem-link {
            .p-menuitem-text,
            .p-menuitem-icon {
              color: var(--primary-font-color);
            }
          }
        }
      }
  }

  @media (max-width: 768px) {
    $appFrameHeight: calc(100vh - 100px);
    .app-frame {
      height: $appFrameHeight;
      position: relative;

      .sidenav {
        // Absolute positionning, on the right of the screen
        width: 30px;
        padding: 0;
        position: absolute;
        right: 0;
        height: $appFrameHeight;
        z-index: 4;
        padding: 0px 10px;

        button.mat-flat-button,
        hr,
        h4 {
          display: none;
        }

        &.displayed {
          width: 80px;
          transform: translateX(0);
          box-shadow: 0 0 10px var(--primary-bg-color);

          button.mat-flat-button {
            display: block;
            .mat-button-wrapper {
              display: initial;
            }
            .button-label {
              display: none;
            }
          }

          hr,
          h4 {
            display: block;
          }

          .small-display-toggle {
            left: 25px;
          }
        }

        .small-display-toggle {
          display: block;
          position: absolute;
          bottom: 70px;
          left: -15px;
        }
      }


        app-list .header .header-item {
          &.field-item {
            width: unset !important;
            min-width: unset !important;
          }

          &.expanded {
            position: absolute;
            z-index: 1;
            background-color: var(--tertiary-bg-color);
            max-width: 100%;
          }

          &:not(.expanded) {
            mat-form-field {
              display: none;
            }
          }

          .small-display-icon {
            display: block;
            margin-right: 10px;
          }
        }
    }
  }

}

.card {
  min-width: 150px;
  max-width: 768px;
  width: 100%;
  margin: auto;
  text-align: center;
  margin-top: 30px;
  display: block;

  .form-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    
    .p-field,
    .file-upload-container {
      text-align: left;
      padding: 0.5rem;
      position: relative;
      flex-grow: 1;

      .p-autocomplete,
      .p-inputtext:not(.ellipsis) {
          width: 100%;
      }

      &.checkbox-field .p-float-label {
        padding: 0.75rem 0.75rem;
        .checkbox-input label {
          position: unset;
          margin-top: unset;
        }
      }
    }
}
    
.copy-input {
  :disabled {
    opacity: unset;
  }
  .copy-button {
    padding: 0;
    height: 1.2rem;
    width: 1.2rem;
  }
}
}

.full-width {
  width: 100%;
}

.ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

app-info-icon {
  cursor: help;
}

app-footer {
  height: 30px;
  width: 100%;
}

.cdk-overlay-container {
  z-index: 1001; // above ng prime dialog
}

.small {
  font-size: 12px;
}

.unavailable {
  color: var(--disabled-text);
  pointer-events: none;
}

.p-toast.p-toast-top-right {
  width: fit-content;
  .p-toast-message-text {
    margin: 0 !important;
  }
}

.navbar {
  .p-menu {
    top: 50px !important;
    left: 0 !important;
  }
}
